[h1]Changelog[/h1]

[h2][url=https://github.com/ublue-os/bazzite/compare/v3.0.0...v3.0.1]3.0.1[/url] (2024-05-02)[/h2]


[h3]Features[/h3]
[list]
[*] Add [b]ujust setup-luks-tpm-unlock[/b] ([url=https://github.com/ublue-os/bazzite/commit/5402f530ef2cfe9403fc0baee79c664699a811d2]5402f53[/url])
[*] Add new ublue wallpaper as the default ([url=https://github.com/ublue-os/bazzite/commit/3c79d312556f3d8ec87fa804dcc4d4cc91a4db83]3c79d31[/url])
[*] Add new version of gamescope ([url=https://github.com/ublue-os/bazzite/commit/60a94cd5173cc8bb6545a149ea553ab47dfb7c3a]60a94cd[/url])
[*] Add Steam Deck SD card mounting to desktop images ([url=https://github.com/ublue-os/bazzite/commit/a683b3bc97063394eebea183605c63a5115262c6]a683b3b[/url])
[*] [b]deck:[/b] Add Handheld Controller Glyphs... ([url=https://github.com/ublue-os/bazzite/issues/1059]#1059[/url]) ([url=https://github.com/ublue-os/bazzite/commit/e1f026ee6f3d107ced604e0324e86264c3b59ba2]e1f026e[/url])
[*] Deprecate looking-glass shm in favor of kvmfr module ([url=https://github.com/ublue-os/bazzite/issues/1013]#1013[/url]) ([url=https://github.com/ublue-os/bazzite/commit/8f7bb0bd6854c1d6a67f30903161a5f870c9e3d0]8f7bb0b[/url])
[*] [b]framework:[/b] Add needed kargs and extensions to setup scripts ([url=https://github.com/ublue-os/bazzite/commit/96f1be0198e890d9a2979a61650fa004c5c5725e]96f1be0[/url])
[*] [b]framework:[/b] Use Framework logo in logo menu by default 3 ([url=https://github.com/ublue-os/bazzite/commit/4a8e70bf7f199816507a232787fb9796475befb6]4a8e70b[/url])
[*] [b]gnome:[/b] Add compiz alike magic lamp effect extension, default disabled ([url=https://github.com/ublue-os/bazzite/commit/dbc7862607eb97ab62615fa5fff447a79814242c]dbc7862[/url])
[*] [b]gnome:[/b] Add power profile switcher extension (pre-configured, but disabled by default) ([url=https://github.com/ublue-os/bazzite/commit/fb006c2fb7b8302053d17a9490342aed78b74464]fb006c2[/url])
[*] [b]gnome:[/b] Restore xwayland fractional scaling ([url=https://github.com/ublue-os/bazzite/commit/dbc7862607eb97ab62615fa5fff447a79814242c]dbc7862[/url])
[*] remove root password option from installer ([url=https://github.com/ublue-os/bazzite/commit/ad9ec4011ee0d07d97107e992e8a884864af6e8d]ad9ec40[/url])
[/list]

[h3]Bug Fixes[/h3]
[list]
[*] Always install jupiter-sd-mounting-btrfs ([url=https://github.com/ublue-os/bazzite/commit/821e9ea6a104f1ae6811255e50525446ae6b4e77]821e9ea[/url])
[*] bazzite-user-setup should only run when needed ([url=https://github.com/ublue-os/bazzite/issues/1020]#1020[/url]) ([url=https://github.com/ublue-os/bazzite/commit/f33d1e799a090693c3adb3bbbdf2577975515fb2]f33d1e7[/url])
[*] [b]bazzite-user-setup:[/b] include  in file check and move  after first if statement ([url=https://github.com/ublue-os/bazzite/issues/1023]#1023[/url]) ([url=https://github.com/ublue-os/bazzite/commit/c4670d271d3b97740b6b6ffdb128e9f8668661a4]c4670d2[/url])
[*] [b]ci:[/b] set image version to match source ([url=https://github.com/ublue-os/bazzite/issues/1031]#1031[/url]) ([url=https://github.com/ublue-os/bazzite/commit/57b0d1f2461b402bba106d153bc397c77bd7b060]57b0d1f[/url])
[*] Correct issue with Steam refusing to launch on some multi-gpu hardware when launched on the dGPU. ([url=https://github.com/ublue-os/bazzite/commit/0c1a55c629c3a12bd42818f3a487f897a9d6115f]0c1a55c[/url])
[*] disable requirement for testing branch ([url=https://github.com/ublue-os/bazzite/commit/224e8838454267fd3e195c35da4c6124fdb1cb36]224e883[/url])
[*] Drop patched bluez ([url=https://github.com/ublue-os/bazzite/commit/857f933088d18f3341037faff3089e74fb9e6059]857f933[/url])
[*] fix typo ([url=https://github.com/ublue-os/bazzite/commit/f49e0c0f2512ba83b525291a34dffdc186c7ee60]f49e0c0[/url])
[*] fully qualify path ([url=https://github.com/ublue-os/bazzite/commit/e1cbc25b8ff4d07b614ac85f08cf714b82e1025f]e1cbc25[/url])
[*] [b]kde:[/b] Fix issue with theme picker under KDE6 for Vapor and VGUI2. ([url=https://github.com/ublue-os/bazzite/commit/3c79d312556f3d8ec87fa804dcc4d4cc91a4db83]3c79d31[/url])
[*] no longer tell people to configure grub when showing virtualization helptext ([url=https://github.com/ublue-os/bazzite/issues/1042]#1042[/url]) ([url=https://github.com/ublue-os/bazzite/commit/3457926faa785a6d8d66f3286703156d64e1bcdd]3457926[/url])
[*] simplify code and add if back for testing ([url=https://github.com/ublue-os/bazzite/commit/ca4434389e3762f1af878c10d25494d1a3e502a2]ca44343[/url])
[/list]

[h3]Miscellaneous Chores[/h3]
[list]
[*] release 3.0.1 ([url=https://github.com/ublue-os/bazzite/commit/2370baa1db1ceda0b6bfb6252758ecb58b32a0ff]2370baa[/url])
[/list]
[h2][url=https://github.com/ublue-os/bazzite/compare/v2.5.0...v3.0.0]3.0.0[/url] (2024-04-24)[/h2]


[h3]Features[/h3]
[list]
[*] Upgrade to Fedora 40 base
[*] add bazzite-rollback-helper util ([url=https://github.com/ublue-os/bazzite/issues/1002]#1002[/url]) ([url=https://github.com/ublue-os/bazzite/commit/1d146d6bbc7ce57bac7fef9b8b0734af07641f1f]1d146d6[/url])
[*] add command to support rebasing ([url=https://github.com/ublue-os/bazzite/issues/989]#989[/url]) ([url=https://github.com/ublue-os/bazzite/commit/c96bc6fb6985365d569f1f157b8d640c45607779]c96bc6f[/url])
[*] Add framework-laptop kmod ([url=https://github.com/ublue-os/bazzite/commit/1ab933cb4b705c174ddab37ffc53db25a6ac58ec]1ab933c[/url])
[*] Add kmod for cdemu ([url=https://github.com/ublue-os/bazzite/commit/c789ce2db5cb27051181c1fad0c3240d0ae72b25]c789ce2[/url])
[*] Add kmod for looking glass client ([url=https://github.com/ublue-os/bazzite/commit/049912f67aa9f8079a4161e47259d5735dbd3733]049912f[/url])
[*] Add option to ujust to control background transparency of the Ptyxis terminal ([url=https://github.com/ublue-os/bazzite/commit/0767471c3d57926610df81a8835a1bc20959d8e5]0767471[/url])
[*] Add option to ujust to disable swipe gestures in gaming mode (Thanks [url=https://github.com/nicknamenamenick]@nicknamenamenick[/url]) ([url=https://github.com/ublue-os/bazzite/commit/94334a07b6af1741c5cdfca63409044e4354ac90]94334a0[/url])
[*] Add ujust command to optionally install CDEmu for handling disk-based games without a CD drive. ([url=https://github.com/ublue-os/bazzite/commit/3c38bd32be1cdb1654aca2e7a96e53611a9aa70c]3c38bd3[/url])
[*] [b]deck:[/b] Automatically hide HHD-UI desktop icon on Steam Deck hardware where it's not applicable. ([url=https://github.com/ublue-os/bazzite/commit/59e4c38ce8fb2446652283253007281d0d9e6dfa]59e4c38[/url])
[*] [b]deck:[/b] End X11 support ([url=https://github.com/ublue-os/bazzite/commit/21e5f14fcffe0d38788a5cc9ec1c3b4efabc5044]21e5f14[/url])
[*] [b]deck:[/b] Remove nested desktop support. This has been broken under GNOME since launch, and is now broken under KDE as of KDE6. ([url=https://github.com/ublue-os/bazzite/commit/3032dae4d77465acd3e7d93a4b4cdd53f027a9d6]3032dae[/url])
[*] [b]desktop:[/b] add an action to install ollama on a Bazzite system ([url=https://github.com/ublue-os/bazzite/issues/994]#994[/url]) ([url=https://github.com/ublue-os/bazzite/commit/2dba9b14e54ea94865fa60f2e6b5738e5c6563c8]2dba9b1[/url])
[*] [b]gnome:[/b] Add patched mutter with triple buffering and nvidia secondary gpu copy acceleration ([url=https://github.com/ublue-os/bazzite/commit/4889453f1648192017e0430b640a9f2b6b40ccb7]4889453[/url])
[*] Include zoxide by default ([url=https://github.com/ublue-os/bazzite/commit/8ae44a7b63d9461b10fa2d6f3d61c20054db4dff]8ae44a7[/url])
[*] New fetch logo ([url=https://github.com/ublue-os/bazzite/commit/b9419a9badb156ee3b25b6d9a9152ff6e35c4641]b9419a9[/url])
[*] [b]nvidia:[/b] Restore X11 support on KDE until Nvidia successfully moves on from 80s Deco ([url=https://github.com/ublue-os/bazzite/commit/4885be3b92e7f56ba7579e4f96818f93a7e20831]4885be3[/url])
[*] Switch to fastfetch from hyfetch ([url=https://github.com/ublue-os/bazzite/commit/8c921a5780a86d3b4e3f0a29f0618bac54e3d5ae]8c921a5[/url])
[*] [b]ujust:[/b] add ujust for disabling/enabling swipe gestures ([url=https://github.com/ublue-os/bazzite/issues/1005]#1005[/url]) ([url=https://github.com/ublue-os/bazzite/commit/1ecb734b1026da62224d0934d8a2841a6bbc93e7]1ecb734[/url])
[/list]

[h3]Bug Fixes[/h3]
[list]
[*] [b]ci:[/b] extract digest output from retry action ([url=https://github.com/ublue-os/bazzite/issues/1003]#1003[/url]) ([url=https://github.com/ublue-os/bazzite/commit/a8675e9904d2ae3e5e01216e0d837a0cb11e67a5]a8675e9[/url])
[*] Correct BLEND_TF support in gamescope AMD HDR patch ([url=https://github.com/ublue-os/bazzite/commit/5538873299a2e9773f487dc0db0a88d6d8fbc8da]5538873[/url])
[*] Correctly apply vfio after initramfs changes ([url=https://github.com/ublue-os/bazzite/issues/987]#987[/url]) ([url=https://github.com/ublue-os/bazzite/commit/79146b86fce6a12483b3990d2d5715e882f83536]79146b8[/url])
[*] [b]deck:[/b] Use new rotation system based on Valve's bootstrap. ([url=https://github.com/ublue-os/bazzite/commit/c16afeb71e0d51a036ca840b83ccd3bdb44e288b]c16afeb[/url])
[*] [b]ds-inhibit:[/b] autoload hid-playstation to avoid hook conflicts ([url=https://github.com/ublue-os/bazzite/issues/991]#991[/url]) ([url=https://github.com/ublue-os/bazzite/commit/a771bf7950d922833e8864336e84081877c891c0]a771bf7[/url])
[*] Fix issue with Waydroid due to apparmor entry in LXC config ([url=https://github.com/ublue-os/bazzite/commit/baf680da7c40fac5cb9a88e9bce1e4a54e884d00]baf680d[/url])
[*] [b]just:[/b] correctly set default powerprofile to power-saver when selected ([url=https://github.com/ublue-os/bazzite/commit/e18988554a5b98546c3c7e11b5c929920fccd381]e189885[/url])
[*] move custom-device-pollrates.conf ([url=https://github.com/ublue-os/bazzite/issues/975]#975[/url]) ([url=https://github.com/ublue-os/bazzite/commit/18132ea9177f0d0d1c5143ab51074fa4da2e5180]18132ea[/url])
[/list]

[h3]Miscellaneous Chores[/h3]
[list]
[*] release 3.0.0 ([url=https://github.com/ublue-os/bazzite/commit/f138206ef72bddb81138d4a24ab2654d46aa0769]f138206[/url])
[/list]